import cocos
import pyglet

from menuscene import MenuScene
from gamescene import GameScene
from dialogscene import DialogScene


pyglet.resource.add_font('fnt/jugend.ttf')
pyglet.resource.add_font('fnt/rechman.ttf')
pyglet.resource.add_font('fnt/jennasue.ttf')

cocos.director.director.init(width=800, height=600, caption='Raoul')

menu_scene = MenuScene()
dialog_scene = DialogScene()
game_scene = GameScene()
menu_scene.game_scene = game_scene

cocos.director.director.run(menu_scene)

